v2.5.33 error with .NET 2.0.50215

Use this forum to discuss subjects that don't belong in the other forums.
Post Reply
MartinHart

v2.5.33 error with .NET 2.0.50215

Post by MartinHart » Thu Aug 18, 2005 12:20 pm

Hi:

I have a program that is compiled for the .NET 2 (beta 2) that runs fine on its own (and inside Visual Studio 2005 beta 2), but gives me an error when run inside the memory profiler.

The actual error is: "Attempted to read or write protected memory"

I saw that inside the NetMemProfiler.exe.config file that it was attempting to use a previous version of the .NET 2 runtime 2.0.40???, and due to this, the profiler would not load. I changed this manually to 2.0.50215 (my version) and the profiler now loads, but won't run the program. I have also tried to remove the NetMemProfiler.exe.config file altogether, but the result is the same.

What more can I try?

TIA,
MartinH.

Guest

Post by Guest » Fri Aug 19, 2005 8:43 am

The current version of .NET Memory Profiler does not work very well with .NET Framework 2.0. It did work with v2.0 of the framework when it was released, and we updated it so that it worked with the February CTP as well. But after beta 2 was released, we decided to rewrite some parts of the profiler to make it more stable when running 2.0 programs.

We will soon release the next version (v2.6), which will have full support for .NET Framework 2.0. However, there are some bugs in beta 2 that prevents the profiler from working correctly. Microsoft has told us that these bugs will be fixed in the August CTP.

Version 2.6 of the profiler is scheduled to be released in the end of September.

Best regards,

Andreas Suurkuusk
SciTech Software AB

Post Reply

Who is online

Users browsing this forum: No registered users and 16 guests